Bug 1308385 - Couldn't establish socket connection successfully on Chrome, Safari
Couldn't establish socket connection successfully on Chrome, Safari
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 20:49 EST by yapei
Modified: 2016-05-12 13:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:13:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LogErrorInChrome (121.69 KB, image/png)
2016-02-14 20:49 EST, yapei
no flags Details

  None (edit)
Description yapei 2016-02-14 20:49:46 EST
Created attachment 1127146 [details]
LogErrorInChrome

Description of problem:
In V3 STG env, always failed to get build log, deployment log and pod log,pod terminal.Reproduces on Chrome, Safari. Firefox43 and IE11 work well

Version-Release number of selected component (if applicable):
V3 STG

How reproducible:
Always

Steps to Reproduce:
1. Login to STG env on web console
2. Create application on web console
3. When in running status, watch build log, deployment log, pod log and pod terminal

Actual results:
3. Couldn't get these logs neither could access pod terminal on web console

Expected results:
3. Should watch log successfully and access pod terminal

Additional info:
Comment 1 yapei 2016-02-14 22:23:14 EST
Version of Chrome and Safari:
Chrome 46
Safari 9
Comment 2 Jordan Liggitt 2016-02-15 09:44:17 EST
I cannot recreate with Chrome 48. Websockets and build logs work fine.
Comment 3 yapei 2016-02-16 01:26:53 EST
checked on Chrome 48, works fine as you said. 

How about Safari 9 on your side?
Comment 4 Jessica Forrester 2016-03-21 16:42:17 EDT
I just validated things are working on safari 9.  I think the certs may not have been set up yet on the server at the time this was reported (was still using self-signed certs).  Safari has a known issue with "accepting certs" not fully accepting the certs into the keychain so subsequent websocket requests don't work.  You can install the cert other ways and that allows it to work as expected.

Please double check it works for you as well now.
Comment 5 yapei 2016-03-21 21:12:01 EDT
Checked again, after trusting certificates on Safari, it works as expected

Note You need to log in before you can comment on or make changes to this bug.